Bug 998444 - [origin_runtime_156]Jenkins build met "No such file or directory" errors for python-2.7 app after migration
[origin_runtime_156]Jenkins build met "No such file or directory" errors for ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 06:33 EDT by chunchen
Modified: 2016-09-29 22:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:52:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-08-19 06:33:48 EDT
Description of problem:
When add jenkins client to a python-2.7 app, then do jenkins build for this app after migration,will meet "No such file or directory" errors.

Version-Release number of selected component (if applicable):
devenv_stage_442 to devenv_3672

How reproducible:
always

Steps to Reproduce:
1. Create a python-2.7 app with jenkins client
rhc app create cpy27s3mingears python-2.7 --enable-jenkins
2. Do upgrade and migrate
3. Make some changes in this app local repo and git push to trigger jenkins build

Actual results:
Started by user Jenkins System Builder
Building remotely on cpy27s3mingearsbldr in workspace /var/lib/openshift/5211eadd54cf317985000001/app-root/runtime/repo
Checkout:repo / /var/lib/openshift/5211eadd54cf317985000001/app-root/runtime/repo - hudson.remoting.Channel@1e29095:cpy27s3mingearsbldr
Using strategy: Default
Checkout:repo / /var/lib/openshift/5211eadd54cf317985000001/app-root/runtime/repo - hudson.remoting.LocalChannel@de17e5
Cloning the remote Git repository
Cloning repository origin
Fetching upstream changes from ssh://206132994352579988160512@cpy27s3mingears-cdm.dev.rhcloud.com/~/git/cpy27s3mingears.git
Seen branch in repository origin/HEAD
Seen branch in repository origin/master
Commencing build of Revision be3e720edbb3251e95b273beb89a3d1e0da1fc7a (origin/HEAD, origin/master)
Checking out Revision be3e720edbb3251e95b273beb89a3d1e0da1fc7a (origin/HEAD, origin/master)
No change to record in branch origin/HEAD
No change to record in branch origin/master
[repo] $ /bin/sh -xe /tmp/hudson4647246407032130917.sh
+ alias 'rsync=rsync --exclude-from='\''/var/lib/openshift/5211eadd54cf317985000001/python//metadata/rsync.excludes'\'' --delete-after -az -e '\''/usr/libexec/openshift/cartridges/jenkins/bin/git_ssh_wrapper.sh'\'''
+ upstream_ssh=206132994352579988160512@cpy27s3mingears-cdm.dev.rhcloud.com
+ rsync --exclude-from=/var/lib/openshift/5211eadd54cf317985000001/python//metadata/rsync.excludes --delete-after -az -e /usr/libexec/openshift/cartridges/jenkins/bin/git_ssh_wrapper.sh '206132994352579988160512@cpy27s3mingears-cdm.dev.rhcloud.com:${OPENSHIFT_PYTHON_DIR}virtenv/' /var/lib/openshift/5211eadd54cf317985000001/python/virtenv/
rsync: failed to open exclude file /var/lib/openshift/5211eadd54cf317985000001/python//metadata/rsync.excludes: No such file or directory (2)
rsync error: error in file IO (code 11) at exclude.c(1062) [client=3.0.6]
Build step 'Execute shell' marked build as failure
Archiving artifacts
Finished: FAILURE

Expected results:
Jenkins build for python-2.7 app after migration should be successfully.

Additional info:
Comment 1 Rob Millner 2013-08-19 21:13:18 EDT
Fixed in pull request:
https://github.com/openshift/origin-server/pull/3422

# echo "" >> README.md ; git commit -a -m 'test' ; git push
[master 4483457] test
 1 file changed, 1 insertion(+)
Counting objects: 5, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 277 bytes, done.
Total 3 (delta 2), reused 0 (delta 0)
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://jenkins-rmillner0080.dev.rhcloud.com/job/cpy27s3mingears-build
remote: 
remote: Waiting for build to schedule...........................Done
remote: Waiting for job to complete....................Done
remote: SUCCESS
remote: New build has been deployed.
To ssh://52127b3a9752d30d0b000002@cpy27s3mingears-rmillner0080.dev.rhcloud.com/~/git/cpy27s3mingears.git/
   72939a5..4483457  master -> master
Comment 3 chunchen 2013-08-20 06:39:06 EDT
It's fixed, verified on devenv_stage_442 to denvenv_3678,please refer to the following results:

1.# rhc app show cpy27s3mingears --gears
ID                               State   Cartridges                  Size  SSH URL
-------------------------------- ------- --------------------------- ----- --------------------------------------------------------------------
50592144097b11e3a62922000a9ab0c2 started python-2.7 jenkins-client-1 small 50592144097b11e3a62922000a9ab0c2@cpy27s3mingears-cdm.dev.rhcloud.com

2.# git add .; git commit -amp; git push
[master 80c6ac6] p
 0 files changed
 create mode 100644 dd
Counting objects: 3, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (2/2), 244 bytes, done.
Total 2 (delta 1), reused 0 (delta 0)
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://jenkins-cdm.dev.rhcloud.com/job/cpy27s3mingears-build
remote: 
remote: Waiting for build to schedule.............................Done
remote: Waiting for job to complete..................................Done
remote: SUCCESS
remote: New build has been deployed.
To ssh://50592144097b11e3a62922000a9ab0c2@cpy27s3mingears-cdm.dev.rhcloud.com/~/git/cpy27s3mingears.git/
   66160e4..80c6ac6  master -> master

Note You need to log in before you can comment on or make changes to this bug.